xine-lib: xine_grab_video_frame_s Struct Reference

xine-lib 1.2.12

Data Fields
xine_grab_video_frame_s Struct Reference

`#include <xine.h>`

## Data Fields
int(* | grab )(xine_grab_video_frame_t *self)
void(* | dispose )(xine_grab_video_frame_t *self)
int | crop_left
int | crop_right
int | crop_top
int | crop_bottom
int | width
int | height
uint8_t * | img
int64_t | vpts
int | timeout
int | flags

## Field Documentation

## ◆ crop_bottom

int xine_grab_video_frame_s::crop_bottom

Referenced by vdpau_grab_current_output_surface(), and vo_grab_grab_video_frame().

## ◆ crop_left

int xine_grab_video_frame_s::crop_left

Referenced by vdpau_grab_current_output_surface(), and vo_grab_grab_video_frame().

## ◆ crop_right

int xine_grab_video_frame_s::crop_right

Referenced by vdpau_grab_current_output_surface(), and vo_grab_grab_video_frame().

## ◆ crop_top

int xine_grab_video_frame_s::crop_top

Referenced by vdpau_grab_current_output_surface(), and vo_grab_grab_video_frame().

## ◆ dispose

void(* xine_grab_video_frame_s::dispose) (xine_grab_video_frame_t *self)

Referenced by vdpau_new_grab_video_frame(), and vo_new_grab_video_frame().

## ◆ flags

int xine_grab_video_frame_s::flags

Referenced by vdpau_grab_grab_video_frame(), and vo_grab_grab_video_frame().

## ◆ grab

int(* xine_grab_video_frame_s::grab) (xine_grab_video_frame_t *self)

Referenced by vdpau_new_grab_video_frame(), and vo_new_grab_video_frame().

## ◆ height

int xine_grab_video_frame_s::height

Referenced by vdpau_grab_current_output_surface(), and vo_grab_grab_video_frame().

## ◆ img

uint8_t* xine_grab_video_frame_s::img

Referenced by vdpau_dispose_grab_video_frame(), vdpau_grab_current_output_surface(), vo_dispose_grab_video_frame(), and vo_grab_grab_video_frame().

## ◆ timeout

int xine_grab_video_frame_s::timeout

Referenced by vdpau_new_grab_video_frame(), vo_grab_grab_video_frame(), and vo_new_grab_video_frame().

## ◆ vpts

int64_t xine_grab_video_frame_s::vpts

Referenced by vdpau_grab_current_output_surface(), vdpau_new_grab_video_frame(), vo_grab_current_frame(), vo_grab_grab_video_frame(), and vo_new_grab_video_frame().

## ◆ width

int xine_grab_video_frame_s::width

Referenced by vdpau_grab_current_output_surface(), and vo_grab_grab_video_frame().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/include/xine.h